Function Pack($config) {
    $item = ConvertItem-FromConfig $config "pack"
    Append-Item $item
}

Function Generate-ChocolateyCommand($config) {
    $command = "cinst $($config.id)"

    if ($config.version) { $command += " -version $($config.version)" }

    if ($globalSource) { $source = $globalSource }
    if ($config.source) { $source = $config.source }
    if ($source) { $command += " -source $source" }

    return $command
}

Function Apply-Pack($config) {
    Write-Host Installing $config.id
    $command = Generate-ChocolateyCommand $config
    iex $command
}